RDCode: Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing a range: arguments must fall in a particular range of values. More...

`#include <RangeQuery.h>`

Inheritance diagram for Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

List of all members.

## Public Member Functions
| RangeQuery ()
| RangeQuery (MatchFuncArgType lower, MatchFuncArgType upper)
| construct and set the lower and upper bounds
void | setUpper (MatchFuncArgType what)
| sets our upper bound
const MatchFuncArgType | getUpper () const
| returns our upper bound
void | setLower (MatchFuncArgType what)
| sets our lower bound
const MatchFuncArgType | getLower () const
| returns our lower bound
void | setEndsOpen (bool lower, bool upper)
| sets whether or not the ends of the range are open
std::pair< bool, bool > | getEndsOpen () const
| returns the state of our ends (open or not)
void | setTol (MatchFuncArgType what)
| sets our tolerance
const MatchFuncArgType | getTol () const
| returns our tolerance
bool | Match (const DataFuncArgType what) const
| returns whether or not we match the argument
Query < MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const
| returns a copy of this Query
## Protected Attributes
MatchFuncArgType | d_upper
MatchFuncArgType | d_lower
MatchFuncArgType | d_tol
bool | df_upperOpen
bool | df_lowerOpen

## Detailed Description

### template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing a range: arguments must fall in a particular range of values.

The ends of the range default to be open, but they can individually set to be closed.

There is also an optional tolerance to be used in comparisons

Definition at line 22 of file RangeQuery.h.

## Constructor & Destructor Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::RangeQuery | ( |  | ) | `[inline]`

Definition at line 26 of file RangeQuery.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::df_negate.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::RangeQuery | ( | MatchFuncArgType | lower,
|  | MatchFuncArgType | upper |
| ) |  |  | `[inline]`

construct and set the lower and upper bounds

Definition at line 30 of file RangeQuery.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::df_negate.

## Member Function Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setUpper | ( | MatchFuncArgType | what | ) | `[inline]`

sets our upper bound

Definition at line 35 of file RangeQuery.h.

References Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_upper.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getUpper | ( |  | ) | const`[inline]`

returns our upper bound

Definition at line 37 of file RangeQuery.h.

References Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_upper.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setLower | ( | MatchFuncArgType | what | ) | `[inline]`

sets our lower bound

Definition at line 39 of file RangeQuery.h.

References Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_lower.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getLower | ( |  | ) | const`[inline]`

returns our lower bound

Definition at line 41 of file RangeQuery.h.

References Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_lower.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setEndsOpen | ( | bool | lower,
|  | bool | upper |
| ) |  |  | `[inline]`

sets whether or not the ends of the range are open

Definition at line 44 of file RangeQuery.h.

References Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::df_lowerOpen, and Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::df_upperOpen.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

std::pair<bool,bool> Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getEndsOpen | ( |  | ) | const`[inline]`

returns the state of our ends (open or not)

Definition at line 49 of file RangeQuery.h.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol | ( | MatchFuncArgType | what | ) | `[inline]`

sets our tolerance

Definition at line 54 of file RangeQuery.h.

References Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getTol | ( |  | ) | const`[inline]`

returns our tolerance

Definition at line 56 of file RangeQuery.h.

References Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | arg | ) | const`[inline, virtual]`

returns whether or not we match the argument

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 58 of file RangeQuery.h.

References Queries::queryCmp(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::TypeConvert().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Query<MatchFuncArgType,DataFuncArgType,needsConversion>* Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const`[inline, virtual]`

returns a copy of this Query

Notes:

- the caller is responsible for `delete`ing the result

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 74 of file RangeQuery.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setEndsOpen(), Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setLower(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation(), Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol(), and Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setUpper().

## Member Data Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

MatchFuncArgType Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_upper`[protected]`

Definition at line 85 of file RangeQuery.h.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getUpper(), and Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setUpper().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

MatchFuncArgType Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_lower`[protected]`

Definition at line 85 of file RangeQuery.h.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getLower(), and Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setLower().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

MatchFuncArgType Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol`[protected]`

Definition at line 89 of file RangeQuery.h.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getTol(), and Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::df_upperOpen`[protected]`

Definition at line 90 of file RangeQuery.h.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setEndsOpen().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::df_lowerOpen`[protected]`

Definition at line 90 of file RangeQuery.h.

Referenced by Queries::RangeQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setEndsOpen().

The documentation for this class was generated from the following file:

- RangeQuery.h